Package docking.widgets.fieldpanel.internal

# Class PaintContext

java.lang.Object
docking.widgets.fieldpanel.internal.PaintContext

public class PaintContext extends Object
Miscellaneous information needed by fields to paint.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaintContext()`
  Create a new PaintContext with default color values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `cursorFocused()`
  `boolean`
  `cursorHidden()`
  `final Color`
  `getBackground()`
  Returns the current background color setting.
  `final Color`
  `getCursorColor()`
  Returns the current cursor color.
  `final Color`
  `getFocusedCursorColor()`
  `final Color`
  `getForeground()`
  Returns the current foreground color setting.
  `final Color`
  `getHighlightColor()`
  Returns the current highlight color setting.
  `Color`
  `getNotFocusedCursorColor()`
  `final Color`
  `getSelectedHighlightColor()`
  Returns the current selected highlight color setting.
  `final Color`
  `getSelectionColor()`
  Returns the current selection color setting.
  `boolean`
  `isPrinting()`
  `boolean`
  `isTextCopying()`
  `void`
  `setBackgroundColor(Color c)`
  `void`
  `setCursorColor(Color c)`
  `void`
  `setCursorFocused(boolean isFocused)`
  `void`
  `setCursorHidden(boolean isHidden)`
  `void`
  `setFocusedCursorColor(Color color)`
  `void`
  `setForegroundColor(Color c)`
  `void`
  `setHighlightColor(Color c)`
  `void`
  `setNotFocusedCursorColor(Color color)`
  `void`
  `setPrinting(boolean b)`
  `void`
  `setSelectionColor(Color c)`
  `void`
  `setTextCopying(boolean b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PaintContext

    public PaintContext()
    Create a new PaintContext with default color values.

- ## Method Details

  - ### getBackground

    public final Color getBackground()
    Returns the current background color setting.
    Returns:
      the current background color setting.

  - ### getForeground

    public final Color getForeground()
    Returns the current foreground color setting.
    Returns:
      the current foreground color setting.

  - ### getSelectionColor

    public final Color getSelectionColor()
    Returns the current selection color setting.
    Returns:
      the current selection color setting.

  - ### getHighlightColor

    public final Color getHighlightColor()
    Returns the current highlight color setting.
    Returns:
      the current highlight color setting.

  - ### getSelectedHighlightColor

    public final Color getSelectedHighlightColor()
    Returns the current selected highlight color setting.
    Returns:
      the current selected highlight color setting.

  - ### getCursorColor

    public final Color getCursorColor()
    Returns the current cursor color.
    Returns:
      the current cursor color.

  - ### getFocusedCursorColor

    public final Color getFocusedCursorColor()

  - ### setSelectionColor

    public void setSelectionColor(Color c)

  - ### setHighlightColor

    public void setHighlightColor(Color c)

  - ### setBackgroundColor

    public void setBackgroundColor(Color c)

  - ### setForegroundColor

    public void setForegroundColor(Color c)

  - ### setCursorColor

    public void setCursorColor(Color c)

  - ### cursorHidden

    public boolean cursorHidden()

  - ### cursorFocused

    public boolean cursorFocused()

  - ### setCursorFocused

    public void setCursorFocused(boolean isFocused)

  - ### setCursorHidden

    public void setCursorHidden(boolean isHidden)

  - ### setFocusedCursorColor

    public void setFocusedCursorColor(Color color)

  - ### setNotFocusedCursorColor

    public void setNotFocusedCursorColor(Color color)

  - ### getNotFocusedCursorColor

    public Color getNotFocusedCursorColor()

  - ### setPrinting

    public void setPrinting(boolean b)

  - ### setTextCopying

    public void setTextCopying(boolean b)

  - ### isPrinting

    public boolean isPrinting()

  - ### isTextCopying

    public boolean isTextCopying()